%define module	parso

Name:		python-%{module}
Version:	0.8.4
Release:	%mkrel 3
Summary:	A Python Parser
Group:		Development/Python
License:	MIT
URL:		https://github.com/davidhalter/parso
Source0:	%{pypi_source %{module}}
BuildArch:	noarch

%description
Parso is a Python parser that supports error recovery and round-trip
parsing for different Python versions (in multiple Python versions).
Parso is also able to list multiple syntax errors in your python file.

Parso has been battle-tested by jedi. It was pulled out of jedi to be
useful for other projects as well.

Parso consists of a small API to parse Python and analyse the syntax
tree.

%package -n	python3-%{module}
Summary:	A Python 3 Parser
Group:		Development/Python
BuildArch:	noarch
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{module}}

%description -n	python3-%{module}
Parso is a Python 3 parser that supports error recovery and round-trip
parsing for different Python versions (in multiple Python versions).
Parso is also able to list multiple syntax errors in your python file.

Parso has been battle-tested by jedi. It was pulled out of jedi to be
useful for other projects as well.

Parso consists of a small API to parse Python and analyse the syntax
tree.

%prep
%setup -q -n %{module}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files parso

%files -n python3-%{module} -f %{pyproject_files}
%doc CHANGELOG.rst README.rst
%license LICENSE.txt


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.8.4-3.mga10
+ Revision: 2238692
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 wally <wally> 0.8.4-2.mga10
+ Revision: 2155522
- rebuild for python3.13

* Sat Apr 20 2024 daviddavid <daviddavid> 0.8.4-1.mga10
+ Revision: 2060153
- new version: 0.8.4

* Wed Dec 13 2023 papoteur <papoteur> 0.8.3-3.mga10
+ Revision: 2017760
- rebuild for python 3.12

* Fri Dec 08 2023 wally <wally> 0.8.3-2.mga10
+ Revision: 2015546
- rebuild for py3.12

* Tue Aug 23 2022 papoteur <papoteur> 0.8.3-1.mga9
+ Revision: 1879741
- new 0.8.3

* Wed Mar 23 2022 umeabot <umeabot> 0.8.2-3.mga9
+ Revision: 1822408
- Mageia 9 Mass Rebuild

* Sun Feb 13 2022 tv <tv> 0.8.2-2.mga9
+ Revision: 1773747
- Rebuild for python-3.10

* Sun Apr 18 2021 daviddavid <daviddavid> 0.8.2-1.mga9
+ Revision: 1716446
- new version: 0.8.2

* Mon Mar 15 2021 wally <wally> 0.8.1-2.mga9
+ Revision: 1703100
- rebuild for python 3.9

* Tue Dec 15 2020 daviddavid <daviddavid> 0.8.1-1.mga8
+ Revision: 1657629
- new version: 0.8.1

* Fri Sep 11 2020 daviddavid <daviddavid> 0.8.0-1.mga8
+ Revision: 1624668
- new version: 0.8.0

* Tue Aug 04 2020 daviddavid <daviddavid> 0.7.1-1.mga8
+ Revision: 1610867
- new version: 0.7.1

* Fri Apr 17 2020 daviddavid <daviddavid> 0.7.0-1.mga8
+ Revision: 1567956
- new version: 0.7.0

* Sat Feb 29 2020 daviddavid <daviddavid> 0.6.2-1.mga8
+ Revision: 1552190
- new version: 0.6.2

* Thu Feb 20 2020 umeabot <umeabot> 0.6.1-2.mga8
+ Revision: 1547260
- Mageia 8 Mass Rebuild

* Fri Feb 07 2020 daviddavid <daviddavid> 0.6.1-1.mga8
+ Revision: 1487731
- new version: 0.6.1

* Tue Jan 28 2020 daviddavid <daviddavid> 0.6.0-1.mga8
+ Revision: 1484630
- new version: 0.6.0

* Sun Dec 22 2019 daviddavid <daviddavid> 0.5.2-1.mga8
+ Revision: 1469443
- new version: 0.5.2

* Fri Sep 13 2019 tv <tv> 0.5.1-2.mga8
+ Revision: 1440410
- rebuild for python-3.8
- drop python2 subpkg

* Mon Jul 15 2019 daviddavid <daviddavid> 0.5.1-1.mga8
+ Revision: 1421512
- new version: 0.5.1

* Sun Jun 30 2019 daviddavid <daviddavid> 0.5.0-1.mga8
+ Revision: 1416250
- new version: 0.5.0

* Tue Apr 09 2019 daviddavid <daviddavid> 0.4.0-1.mga7
+ Revision: 1387300
- new version: 0.4.0

* Fri Feb 15 2019 daviddavid <daviddavid> 0.3.4-1.mga7
+ Revision: 1367142
- new version: 0.3.4

* Wed Feb 06 2019 daviddavid <daviddavid> 0.3.3-1.mga7
+ Revision: 1363635
- new version: 0.3.3

* Mon Jan 28 2019 daviddavid <daviddavid> 0.3.2-1.mga7
+ Revision: 1361749
- new version: 0.3.2

* Mon Jan 07 2019 wally <wally> 0.3.1-4.mga7
+ Revision: 1350853
- rebuild for python3.7
+ shlomif <shlomif>
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.3.1-2.mga7
+ Revision: 1289597
- Mageia 7 Mass Rebuild

* Fri Jul 13 2018 daviddavid <daviddavid> 0.3.1-1.mga7
+ Revision: 1243380
- new version: 0.3.1

* Wed Jul 04 2018 daviddavid <daviddavid> 0.3.0-1.mga7
+ Revision: 1241699
- new version: 0.3.0

* Tue May 22 2018 daviddavid <daviddavid> 0.2.1-1.mga7
+ Revision: 1231338
- new version: 0.2.1

* Tue Apr 17 2018 kekepower <kekepower> 0.2.0-1.mga7
+ Revision: 1219541
- Update to version 0.2.0

* Thu Jan 04 2018 daviddavid <daviddavid> 0.1.1-1.mga7
+ Revision: 1190202
- new version: 0.1.1

* Fri Sep 22 2017 daviddavid <daviddavid> 0.1.0-1.mga7
+ Revision: 1157649
- initial package python-parso

